lib3ds(1)

NAME
lib3ds-config - script to get information about the installed version of lib3ds

SYNOPSIS
lib3ds-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--libs] [--cflags]

DESCRIPTION

lib3ds-config is a tool that is used to configure to determine the compiler and linker flags that should be used to compile and link programs that use lib3ds. It is also used internally to the .m4 macros for GNU autoconf that are included with lib3ds.

OPTIONS
lib3ds-config accepts the following options:

--version
    Print the currently installed version of lib3ds on the standard output.

--libs
    Print the linker flags that are necessary to link a lib3ds program.

--cflags
    Print the compiler flags that are necessary to compile a lib3ds program.

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that lib3ds was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that lib3ds was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

AUTHOR
This manpage is an almost word-for-word copy of the gtk-config manpage, written by Owen Taylor. It was modified by Marcelo E. Magallon <mmagallo@debian.org>, for the Debian GNU/Linux system (but may be used by others).